﻿namespace BlazorFluentUI.Models
{
    public class Employee
    {
        public int ID { get; set; }
        public string Photo { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Job { get; set; }
        public string Title { get; set; }
        public DateTime BirthDate { get; set; }
        public DateTime HireDate { get; set; }
        public string Address { get; set; }
        public string City { get; set; }
        public string Region { get; set; }
        public string PostalCode { get; set; }
        public string Country { get; set; }
        public string Phone { get; set; }
        public string Extension { get; set; }
        public string Notes { get; set; }

        public override string ToString()
        {
            return $"{FirstName} {LastName} ({BirthDate.ToString("yyyy-MM-dd")})";
        }
    }
}
